<?php

declare (strict_types=1);
namespace WpifyWooDeps\DragonBe\Test\Vies\Validator;

class ValidatorELTest extends \WpifyWooDeps\DragonBe\Test\Vies\Validator\AbstractValidatorTest
{
    /**
     * @covers \DragonBe\Vies\Validator\ValidatorEL
     * @dataProvider vatNumberProvider
     */
    public function testValidator(string $vatNumber, bool $state)
    {
        $this->validateVatNumber('EL', $vatNumber, $state);
    }
    public function vatNumberProvider()
    {
        return [['040127797', \true], ['040127796', \false], ['1234567', \false]];
    }
}
