<?php

declare (strict_types=1);
namespace WpifyWooDeps\h4kuna\Ares;

use WpifyWooDeps\GuzzleHttp;
class Factory implements \WpifyWooDeps\h4kuna\Ares\IFactory
{
    public function createDataProvider() : \WpifyWooDeps\h4kuna\Ares\DataProvider
    {
        return new \WpifyWooDeps\h4kuna\Ares\DataProvider($this);
    }
    public function createData(array $data) : \WpifyWooDeps\h4kuna\Ares\Data
    {
        return new \WpifyWooDeps\h4kuna\Ares\Data($data);
    }
    public function createGuzzleClient(array $options = [\CURLOPT_CONNECTTIMEOUT => 30]) : \WpifyWooDeps\GuzzleHttp\Client
    {
        return new \WpifyWooDeps\GuzzleHttp\Client(['curl' => $options, 'headers' => ['X-Powered-By' => 'h4kuna/ares']]);
    }
    public function createBodyFactory() : \WpifyWooDeps\h4kuna\Ares\BodyFactory
    {
        return new \WpifyWooDeps\h4kuna\Ares\BodyFactory();
    }
}
