<?php

namespace WpifyWooDeps\Heureka\ShopCertification;

use WpifyWooDeps\Heureka\ShopCertification;
/**
 * @author Jakub Chábek <jakub.chabek@heureka.cz>
 */
class ApiEndpointTest extends \WpifyWooDeps\PHPUnit_Framework_TestCase
{
    public function testGetEndpoint()
    {
        $apiEndpoint = new \WpifyWooDeps\Heureka\ShopCertification\ApiEndpoint(\WpifyWooDeps\Heureka\ShopCertification::HEUREKA_CZ);
        $this->assertSame(\WpifyWooDeps\Heureka\ShopCertification\ApiEndpoint::API_ENDPOINT_CZ, $apiEndpoint->getUrl());
        $apiEndpoint = new \WpifyWooDeps\Heureka\ShopCertification\ApiEndpoint(\WpifyWooDeps\Heureka\ShopCertification::HEUREKA_SK);
        $this->assertSame(\WpifyWooDeps\Heureka\ShopCertification\ApiEndpoint::API_ENDPOINT_SK, $apiEndpoint->getUrl());
        $this->setExpectedException('WpifyWooDeps\\Heureka\\ShopCertification\\UnknownServiceException');
        new \WpifyWooDeps\Heureka\ShopCertification\ApiEndpoint(15);
    }
}
