<?php

namespace WpifyWooDeps\Psr\Log;

/**
 * Describes a logger-aware instance.
 */
interface LoggerAwareInterface
{
    /**
     * Sets a logger instance on the object.
     *
     * @param LoggerInterface $logger
     *
     * @return void
     */
    public function setLogger(\WpifyWooDeps\Psr\Log\LoggerInterface $logger);
}
