<?php

declare (strict_types=1);
namespace WpifyWooDeps\h4kuna\Ares;

use WpifyWooDeps\GuzzleHttp;
interface IFactory
{
    function createData(array $data) : \WpifyWooDeps\h4kuna\Ares\Data;
    function createGuzzleClient(array $options) : \WpifyWooDeps\GuzzleHttp\Client;
    function createDataProvider() : \WpifyWooDeps\h4kuna\Ares\DataProvider;
    function createBodyFactory() : \WpifyWooDeps\h4kuna\Ares\BodyFactory;
}
