<?php

/**
 * This file is part of the Nette Framework (https://nette.org)
 * Copyright (c) 2004 David Grudl (https://davidgrudl.com)
 */
declare (strict_types=1);
namespace WpifyWooDeps\Nette\Utils;

use WpifyWooDeps\Nette;
if (\false) {
    /** @deprecated use Nette\HtmlStringable */
    interface IHtmlString extends \WpifyWooDeps\Nette\HtmlStringable
    {
    }
} elseif (!\interface_exists(\WpifyWooDeps\Nette\Utils\IHtmlString::class)) {
    \class_alias(\WpifyWooDeps\Nette\HtmlStringable::class, \WpifyWooDeps\Nette\Utils\IHtmlString::class);
}
namespace WpifyWooDeps\Nette\Localization;

if (\false) {
    /** @deprecated use Nette\Localization\Translator */
    interface ITranslator extends \WpifyWooDeps\Nette\Localization\Translator
    {
    }
} elseif (!\interface_exists(\WpifyWooDeps\Nette\Localization\ITranslator::class)) {
    \class_alias(\WpifyWooDeps\Nette\Localization\Translator::class, \WpifyWooDeps\Nette\Localization\ITranslator::class);
}
