<?php

declare (strict_types=1);
namespace WpifyWooDeps\DI\Compiler;

use WpifyWooDeps\DI\Factory\RequestedEntry;
/**
 * @author Matthieu Napoli <matthieu@mnapoli.fr>
 */
class RequestedEntryHolder implements \WpifyWooDeps\DI\Factory\RequestedEntry
{
    /**
     * @var string
     */
    private $name;
    public function __construct(string $name)
    {
        $this->name = $name;
    }
    public function getName() : string
    {
        return $this->name;
    }
}
