<?php

declare (strict_types=1);
namespace WpifyWooDeps\DI\Definition\Source;

use WpifyWooDeps\DI\Definition\Definition;
/**
 * Describes a definition source to which we can add new definitions.
 *
 * @author Matthieu Napoli <matthieu@mnapoli.fr>
 */
interface MutableDefinitionSource extends \WpifyWooDeps\DI\Definition\Source\DefinitionSource
{
    public function addDefinition(\WpifyWooDeps\DI\Definition\Definition $definition);
}
